Bug 7088 - VirtualBox shouldn't provide libGL.so.1
: VirtualBox shouldn't provide libGL.so.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-02 21:22 MSD by Andrey Bondrov
Modified: 2017-08-04 18:10 MSD (History)
1 user (show)

See Also:
RPM Package: virtualbox
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-06-02 21:22:11 MSD
VBoxOGL.so file from x11-driver-video-vboxvideo 5.0.17+ provides libGL.so.1 SONAME. It must provide VBoxOGL.so instead.
Comment 1 Andrey Bondrov 2016-06-02 21:23:33 MSD
Advisory: "Fix SONAME for VBoxOGL.so file from x11-driver-video-vboxvideo package (it shouldn't provide libGL.so.1)"

https://abf.rosalinux.ru/build_lists/2680057
https://abf.rosalinux.ru/build_lists/2680058
Comment 2 Vladimir Potapov 2016-06-03 11:55:40 MSD
virtualbox-5.0.20-2
https://abf.rosalinux.ru/build_lists/2680057
https://abf.rosalinux.ru/build_lists/2680058
*************************** Advisory *****************************
Fix SONAME for VBoxOGL.so file from x11-driver-video-vboxvideo package (it shouldn't provide libGL.so.1)
******************************************************************
QA Verified